> ## Documentation Index
> Fetch the complete documentation index at: https://docs.contentmod.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Queue Item



## OpenAPI

````yaml GET /queues/{queueId}/items/{itemId}
openapi: 3.0.0
info:
  version: 1.0.0
  title: ContentMod Api
servers:
  - url: https://api.contentmod.io
security: []
paths:
  /queues/{queueId}/items/{itemId}:
    get:
      parameters:
        - schema:
            type: string
            minLength: 3
            example: 27fbdc0b-b295-46ce-93f5-81b2fc08a381
          required: true
          name: id
          in: path
      responses:
        '200':
          description: Fetch a queue item by its ID
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                  type:
                    type: string
                    enum:
                      - text
                      - image
                  accepted:
                    type: boolean
                  status:
                    type: string
                    enum:
                      - pending
                      - accepted
                      - rejected
                      - error
                  content:
                    type: string
                  moderation:
                    nullable: true
                required:
                  - id
                  - type
                  - accepted
                  - status
                  - content
        '404':
          description: Queue item not found
      security:
        - Bearer: []
components:
  securitySchemes:
    Bearer:
      type: http
      scheme: bearer

````